package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.SysQaTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;


@Repository
public interface SysQaRepository extends BaseRepository<SysQaTable> {

    List<SysQaTable> getAllByIdIsNotNull();

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    SysQaTable findFirstById(Long id);

    SysQaTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<SysQaTable> findAllByIdIn(List<Long> ids);

    List<SysQaTable> getAllByIdNotIn(List<Long> ids);

}
